c-----------------------------------------------------------------------
c  GRID VARIABLES
c  is,ie = array index of first and last ACTIVE zone in i-direction
c  itp,ibtm = array index of entire computational volume; may be
c    different from is,ie if only computing on a sub-volume
c  nxz = # of ACTIVE zones in x-direction = ie-is+1; same for nyz,nzz
c
      integer        is, ie, nxz, ibtm, itp
      common /gridi/ is, ie, nxz, ibtm, itp
c
c  x  = coordinates of Eulerian zone EDGES
c  dx = distance between Eulerian zone EDGES in x directions
c    e.g. dx(i)=x(i+1)-x(i)
c  xn = coordinates of Lagrangean zone EDGES
c  dxn= distance between Lagrangean zone EDGES
c  vgx
c
      real x(in+1), dx(in), xn(in+1), dxn(in), vgx
      common /gridr/  x, dx, xn, dxn, vgx
